Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::TermVectorsWriter Class Reference

`#include <TermVectorsWriter.h>`

Inheritance diagram for Lucene::TermVectorsWriter:

## Public Member Functions

| TermVectorsWriter (const DirectoryPtr &directory, const String &segment, const FieldInfosPtr &fieldInfos)
virtual | ~TermVectorsWriter ()
virtual String | getClassName ()
boost::shared_ptr< TermVectorsWriter > | shared_from_this ()
void | addAllDocVectors (Collection< TermFreqVectorPtr > vectors)
| Add a complete document specified by all its term vectors. If document has no term vectors, add value for tvx. More...
void | addRawDocuments (const TermVectorsReaderPtr &reader, Collection< int32_t > tvdLengths, Collection< int32_t > tvfLengths, int32_t numDocs)
| Do a bulk copy of numDocs documents from reader to our streams. This is used to expedite merging, if the field numbers are congruent. More...
void | close ()
| Close all streams. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

IndexOutputPtr | tvx
IndexOutputPtr | tvd
IndexOutputPtr | tvf
FieldInfosPtr | fieldInfos
Collection< UTF8ResultPtr > | utf8Results
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ TermVectorsWriter()

Lucene::TermVectorsWriter::TermVectorsWriter | ( | const DirectoryPtr & | directory,
|  | const String & | segment,
|  | const FieldInfosPtr & | fieldInfos
| ) |  |

## ◆ ~TermVectorsWriter()

virtual Lucene::TermVectorsWriter::~TermVectorsWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::TermVectorsWriter::_getClassName | ( |  | ) |

inline static

## ◆ addAllDocVectors()

void Lucene::TermVectorsWriter::addAllDocVectors | ( | Collection< TermFreqVectorPtr > | vectors | ) |

Add a complete document specified by all its term vectors. If document has no term vectors, add value for tvx.

## ◆ addRawDocuments()

void Lucene::TermVectorsWriter::addRawDocuments | ( | const TermVectorsReaderPtr & | reader,
|  | Collection< int32_t > | tvdLengths,
|  | Collection< int32_t > | tvfLengths,
|  | int32_t | numDocs
| ) |  |

Do a bulk copy of numDocs documents from reader to our streams. This is used to expedite merging, if the field numbers are congruent.

## ◆ close()

void Lucene::TermVectorsWriter::close | ( |  | ) |

Close all streams.

## ◆ getClassName()

virtual String Lucene::TermVectorsWriter::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< TermVectorsWriter > Lucene::TermVectorsWriter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ fieldInfos

FieldInfosPtr Lucene::TermVectorsWriter::fieldInfos

protected

## ◆ tvd

IndexOutputPtr Lucene::TermVectorsWriter::tvd

protected

## ◆ tvf

IndexOutputPtr Lucene::TermVectorsWriter::tvf

protected

## ◆ tvx

IndexOutputPtr Lucene::TermVectorsWriter::tvx

protected

## ◆ utf8Results

Collection<UTF8ResultPtr> Lucene::TermVectorsWriter::utf8Results

protected

The documentation for this class was generated from the following file:

- TermVectorsWriter.h

clucene.sourceforge.net